package com.ruoyi.project.patrol.commonuse.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.commonuse.mapper.TCommonuseTesterMapper;
import com.ruoyi.project.patrol.commonuse.domain.TCommonuseTester;
import com.ruoyi.project.patrol.commonuse.service.ITCommonuseTesterService;

/**
 * 检测仪检查记录Service业务层处理
 *
 * @author admin
 * @date 2023-11-03
 */
@Service
public class TCommonuseTesterServiceImpl implements ITCommonuseTesterService
{
    @Autowired
    private TCommonuseTesterMapper tCommonuseTesterMapper;

    /**
     * 查询检测仪检查记录
     *
     * @param id 检测仪检查记录主键
     * @return 检测仪检查记录
     */
    @Override
    public TCommonuseTester selectTCommonuseTesterById(Long id)
    {
        return tCommonuseTesterMapper.selectTCommonuseTesterById(id);
    }

    /**
     * 查询检测仪检查记录列表
     *
     * @param tCommonuseTester 检测仪检查记录
     * @return 检测仪检查记录
     */
    @Override
    public List<TCommonuseTester> selectTCommonuseTesterList(TCommonuseTester tCommonuseTester)
    {
        return tCommonuseTesterMapper.selectTCommonuseTesterList(tCommonuseTester);
    }

    @Override
    public List<TCommonuseTester> selectTCommonuseTesterListToExcel(TCommonuseTester tCommonuseTester)
    {
        return tCommonuseTesterMapper.selectTCommonuseTesterListToExcel(tCommonuseTester);
    }

    /**
     * 新增检测仪检查记录
     *
     * @param tCommonuseTester 检测仪检查记录
     * @return 结果
     */
    @Override
    public int insertTCommonuseTester(TCommonuseTester tCommonuseTester)
    {
        return tCommonuseTesterMapper.insertTCommonuseTester(tCommonuseTester);
    }

    /**
     * 修改检测仪检查记录
     *
     * @param tCommonuseTester 检测仪检查记录
     * @return 结果
     */
    @Override
    public int updateTCommonuseTester(TCommonuseTester tCommonuseTester)
    {
        return tCommonuseTesterMapper.updateTCommonuseTester(tCommonuseTester);
    }

    /**
     * 批量删除检测仪检查记录
     *
     * @param ids 需要删除的检测仪检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTCommonuseTesterByIds(Long[] ids)
    {
        return tCommonuseTesterMapper.deleteTCommonuseTesterByIds(ids);
    }

    /**
     * 删除检测仪检查记录信息
     *
     * @param id 检测仪检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTCommonuseTesterById(Long id)
    {
        return tCommonuseTesterMapper.deleteTCommonuseTesterById(id);
    }
}
